Name:           loopabull
Version:        0.0.6
Release:        4%{?dist}
Summary:        Event loop driven Ansible playbook execution engine

License:        GPLv3+
URL:            https://github.com/maxamillion/loopabull
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  systemd
Requires:       ansible
Requires:       python-enum34

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
Requires:       python-fedmsg-core
%else
BuildRequires:  python2-setuptools
Requires:       python2-fedmsg-core
%endif

%description
%{summary}.

%prep
%autosetup

%build
%py2_build

%install
%py2_install

# Install config
install -D -p -m 0644 systemd/%{name}.yml %{buildroot}%{_sysconfdir}/%{name}.yml
# Install sysconfig
install -D -p -m 0644 systemd/sysconfig.%{name} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
# Install systemd unit file
install -D -p -m 0644 systemd/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
# Install man page
install -D -p -m 0644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license LICENSE
%doc README.rst examples
%doc %{_mandir}/man1/%{name}.1*

%{python2_sitelib}/%{name}-*.egg-info/
%{python2_sitelib}/%{name}/
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.yml
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 2 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.6-2
- Fix python-enum34 dependency

* Fri Apr 28 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.6-1
- Update to latest upstream

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 06 2017 Adam Miller <maxamillion@fedoraproject.org> - 0.0.5-1
- Update to latest upstream

* Thu Aug 18 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-4
- fix autosetup line and Source0

* Wed Aug 17 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-3
- merge in patch from Igor Gnatenko for spec clean up

* Wed Aug 17 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-2
- fix py2 macros, set doc attribute on examples and man page, fix source url

* Tue Aug 16 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-1
- First Fedora package of loopabull
